Skip to main content
GET
/
fleet
/
maintenance
/
vendors
[beta] List all maintenance vendors.
curl --request GET \
  --url https://api.samsara.com/fleet/maintenance/vendors \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "categoryIds": [
        "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
      ],
      "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
      "addressId": "281474993384538",
      "externalIds": {},
      "servicesProvided": "Oil changes, tire rotations, brake services",
      "vendorId": "0000000772"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids
string[]

A comma-separated list of up to 100 vendor IDs to filter on. Accepts Samsara UUIDs or external IDs in key:value format. See external IDs.

includeExternalIds
boolean

When true, include externalIds on each vendor in the response. Default false.

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

An array of maintenance vendors.

pagination
object
required

Pagination parameters.